version: "3.5"

services:
   db:
      image: mariadb
      volumes:
         - ./db:/var/lib/mysql
         - ./init.sql:/docker-entrypoint-initdb.d/init.sql
      environment:
         MYSQL_ROOT_PASSWORD: ${MYSQL_ROOT_PASS}
   mailserver:
      build:
         context: ./mailserver
         args:
            hostname: ${HOST_NAME}
      links:
         - db
      ports:
         - "25:25"
         - "465:465"
         - "993:993"
      volumes:
         - ./ssl:/etc/postfix/ssl
         - ./mail:/var/vmail
   adminer:
      image: adminer
      depends_on:
         - db
      links:
         - db
      ports:
         - 8080:8080
   postfixadmin:
      image: postfixadmin
      links:
         - db
      depends_on:
         - db
      ports:
         - 8000:80
      environment:
         POSTFIXADMIN_DB_TYPE: mysqli
         POSTFIXADMIN_DB_HOST: db
         POSTFIXADMIN_DB_NAME: postfixadmin
         POSTFIXADMIN_DB_USER: postfixadmin
         POSTFIXADMIN_DB_PASSWORD: postfixadmin
         POSTFIXADMIN_SETUP_PASSWORD: ${PFX_SETUP_PASS}

